- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QReadWriteLock Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qreadwritelock.h.

`#include <qreadwritelock.h>`

List of all members.

## Public Types
enum | RecursionMode { NonRecursive, Recursive }
## Public Member Functions
| QReadWriteLock ()
| QReadWriteLock (RecursionMode recursionMode)
| ~QReadWriteLock ()
void | lockForRead ()
bool | tryLockForRead ()
bool | tryLockForRead (int timeout)
void | lockForWrite ()
bool | tryLockForWrite ()
bool | tryLockForWrite (int timeout)
void | unlock ()
## Friends
class | QWaitCondition

## Member Enumeration Documentation

enum RecursionMode

Search for all occurrences

Enumerator:

  NonRecursive | Search for all occurrences
  Recursive | Search for all occurrences

Definition at line 61 of file qreadwritelock.h.

    { NonRecursive, Recursive };

## Constructor & Destructor Documentation

QReadWriteLock | ( |  | ) |

QReadWriteLock | ( | RecursionMode | recursionMode | ) |

~QReadWriteLock | ( |  | ) |

## Member Function Documentation

void lockForRead | ( |  | ) |

Search for all occurrences

bool tryLockForRead | ( |  | ) |

Search for all occurrences

bool tryLockForRead | ( | int | timeout | ) |

Search for all occurrences

void lockForWrite | ( |  | ) |

Search for all occurrences

bool tryLockForWrite | ( |  | ) |

Search for all occurrences

bool tryLockForWrite | ( | int | timeout | ) |

Search for all occurrences

void unlock | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QWaitCondition `[friend]`

Search for all occurrences

Definition at line 81 of file qreadwritelock.h.

The documentation for this class was generated from the following file:

- QtCore/qreadwritelock.h

QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock
QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock QReadWriteLock